//
// Created by sbn on 2/4/24.
//

#ifndef EVENT_BASE_COMMUNICATIONS_VEDPUBDATAWRAPPER_H
#define EVENT_BASE_COMMUNICATIONS_VEDPUBDATAWRAPPER_H

#include "pub/PubDataWrapper.h"
#include "fusion/executable.h"


template<typename EventType>
class FusionPubDataWrapper: public PubDataWrapper<EventType> {

private:
    dpc::Object _fusion_data;

public:

    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override{
        data->object_id = _fusion_data.object_id;
    }

    void SetData(dpc::Object &data){
        _fusion_data = data;
    }

};


#endif //EVENT_BASE_COMMUNICATIONS_VEDPUBDATAWRAPPER_H
